h2 Staff Detail

button.btn.btn-info(ng-click="$ctrl.actions.back()") Back
    span.glyphicon.glyphicon-backward

form-message(message="$ctrl.message")

ng-form(name="aForm")
    div.form-group(ng-class="{'has-error': $ctrl.validation.fname.error, 'has-success': $ctrl.validation.fname.success }")
        label.control-label(for="staff-fname") First Name
        input.form-control(
            name="staffFname",
            type="text",
            placeholder="First Name...",
            id="staff-fname",
            ng-model="$ctrl.staff.fname",
            required,
            ng-minlength=3,
            ng-maxlength=255
        )
        span.help-block(ng-show="aForm.staffFname.$error.required") First name required!
        span.help-block(ng-show="aForm.staffFname.$error.minlength") Minimum 3 symbols!
        span.help-block(ng-show="aForm.staffFname.$error.maxlength") Maximum 255 symbols!
    div.form-group(ng-class="{'has-error': $ctrl.validation.lname.error, 'has-success': $ctrl.validation.lname.success }")
        label.control-label(for="staff-lname") Last Name
        input.form-control(
            name="staffLname",
            type="text",
            placeholder="Last Name...",
            id="staff-lname",
            ng-model="$ctrl.staff.lname",
            required,
            ng-minlength=3,
            ng-maxlength=255
        )
        span.help-block(ng-show="aForm.staffLname.$error.required") Last name required!
        span.help-block(ng-show="aForm.staffLname.$error.minlength") Minimum 3 symbols!
        span.help-block(ng-show="aForm.staffLname.$error.maxlength") Maximum 255 symbols!
    div.form-group(ng-class="{'has-error': $ctrl.validation.revenue.error, 'has-success': $ctrl.validation.revenue.success }")
        label.control-label(for="staff-revenue") Revenue
        input.form-control(
            name="staffRevenue",
            type="text",
            placeholder="Revenue...",
            id="staff-revenue",
            ng-model="$ctrl.staff.revenue",
            ng-minlength=1,
            ng-maxlength=5
            ng-pattern="$ctrl.regex"
        )
        span.help-block(ng-show="aForm.staffRevenue.$error.minlength") Minimum 1 digits!
        span.help-block(ng-show="aForm.staffRevenue.$error.maxlength") Maximum 5 digits!
        span.help-block(ng-show="!aForm.staffRevenue.$valid") Must be positive number
    div.form-group(ng-class="{'has-error': $ctrl.validation.position.error, 'has-success': $ctrl.validation.position.success }")
        label.control-label(for="staff-position") Position
        select.form-control(
            name="staffPosition",
            ng-model="$ctrl.staff.position_id",
            id="staff-position",
            required
        )
            option(ng-repeat="position in $ctrl.positions", value="{{position.id}}") {{position.id}}. {{ position.title }}
        span.help-block(ng-show="aForm.staffPosition.$error.required") Position required!
    div.form-group(ng-class="$ctrl.events.validate('description')")
        label.control-label(for="staff-description") Description
        textarea.form-control(
            name="staffDescription"
            rows="3", id="staff-description", placeholder="Description...", ng-model="$ctrl.staff.description",
            ng-minlength=3,
            ng-maxlength=2000
        )
        span.help-block(ng-show="aForm.staffDescription.$error.minlength") Minimum 3 symbols!
        span.help-block(ng-show="aForm.staffDescription.$error.maxlength") Maximum 255 symbols!
    button.btn.btn-success(ng-click="$ctrl.actions.save()")
        span.glyphicon.glyphicon-save Save